### Function

# Soup uri_equal

#### Declaration [src]

    gboolean
    soup_uri_equal (
      GUri* uri1,
      GUri* uri2
    )

#### Description [src]

Tests whether or not `uri1` and `uri2` are equal in all parts.

#### Parameters

`uri1` | `GUri`
| A `GUri`.
| The data is owned by the caller of the function.
`uri2` | `GUri`
| Another `GUri`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if equal otherwise `FALSE`.